# frozen_string_literal: true

module Jekyll
  module Filters
    module Sample
      # Returns a random item from an Array
      #
      # @input [Array]
      # @return [Any]
      def sample(input)
        return unless input.respond_to? :sample

        input.sample
      end
    end
  end
end

Liquid::Template.register_filter(Jekyll::Filters::Sample)
